Bug 483453 - (perl-MooseX-Method) Review Request: perl-MooseX-Method - Method declaration with type checking
Review Request: perl-MooseX-Method - Method declaration with type checking
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 09:36 EST by Allisson Azevedo
Modified: 2009-10-05 09:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 09:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Comment 1 manuel wolfshant 2009-02-01 19:49:06 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 70d0f0151c5b9d42019d5eff88d0c4d3738babc6 MooseX-Method-0.43.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 & koji scratch build
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on: standard perl module, noarch
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes

================
*** APPROVED ***
================
Comment 2 manuel wolfshant 2009-02-01 19:58:07 EST
Sorry, I take it back for a second. I think that there are some Requires which need to be filtered out, at least:
 perl(Test::Exception)
 perl(Test::Moose)
 perl(Test::More)
Also, some provides seem odd, and especially
 perl(Foo1)
 perl(Foo2)
 perl(Foo3)


Am I wrong?
Comment 3 Parag AN(पराग) 2009-02-02 00:31:08 EST
I think those Requires is ok as I see its been used by 
MooseX-Method-0.43/lib/MooseX/Test/Parameter/Moose.pm

Yes. For me also following provides looks to be removed.
Provides: perl(Foo1) perl(Foo2) perl(Foo3) perl(Foo::Parameter) perl(Foo::Role) 

Please don't take my words as Final. Either Chris or Ralf can confirm this.
Comment 4 Ralf Corsepius 2009-02-02 01:01:51 EST
(In reply to comment #3)
> I think those Requires is ok as I see its been used by 
> MooseX-Method-0.43/lib/MooseX/Test/Parameter/Moose.pm
Agreed. These perl(Test::*)'s seem to be in use.

> Yes. For me also following provides looks to be removed.
> Provides: perl(Foo1) perl(Foo2) perl(Foo3) perl(Foo::Parameter) perl(Foo::Role) 
Also agreed. These seem bogus to me.

Please filter them out.
Comment 5 Allisson Azevedo 2009-02-02 05:20:45 EST
Ok, i'll fix.
Comment 6 Parag AN(पराग) 2009-03-14 09:43:52 EDT
any progress here?
Comment 7 Allisson Azevedo 2009-03-18 18:27:50 EDT
Hi,

I'll submit a new package soon as possible.
Comment 8 Chris Weyl 2009-05-04 15:09:57 EDT
Flagging as needinfo/REPORTER, so it's clear to me where we're at from the buglist.  No pressure :)
Comment 9 Parag AN(पराग) 2009-05-13 02:33:29 EDT
any progress here?
Comment 10 Parag AN(पराग) 2009-06-03 06:22:09 EDT
ping?
Comment 11 Parag AN(पराग) 2009-06-24 04:19:55 EDT
ping?
Will close this as NOTABUG if reporter will not reply within a week.
Comment 12 Allisson Azevedo 2009-10-05 09:10:13 EDT
I dropped this request.

Note You need to log in before you can comment on or make changes to this bug.